Skip to main content
DELETE
/
api
/
v2
/
public
/
tables
/
:table_id
/
columns
/
remove
curl -X DELETE "https://app.refold.ai/api/v2/public/tables/{table_id}/columns/remove" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID" \
  -H "Content-Type: application/json" \
  -d '{ "columns": ["score"] }'
{
  "columns": ["email", "stage"]
}
Remove one or more columns from a persistent table. Returns the table’s remaining columns.

Authentication

x-api-key
string
required
Your Refold API key.
linked_account_id
string
required
The linked account that owns the table.

Path Parameters

table_id
string
required
The table ID.

Body Parameters

columns
array
required
Column names to remove.

Response

columns
array
The table’s columns after removal.
{
  "columns": ["email", "stage"]
}
curl -X DELETE "https://app.refold.ai/api/v2/public/tables/{table_id}/columns/remove" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID" \
  -H "Content-Type: application/json" \
  -d '{ "columns": ["score"] }'